Subject: Re: [PATCH] .mailmap: fix and expand mappings for Jean-Noël Avila

From: Junio C Hamano <[email-masked]>
Date: Wed, 21 Jan 2026 14:52:47 -0800

Junio C Hamano <[email-masked]> writes:

> [email-masked] writes:
>
>> From: Kristoffer Haugsbakk <[email-masked]>
>>
>> The latest release candidate notes say that there is a new contributor:
>>
>>     Jean-Noël Avila via GitGitGadget, ...
>
> Thanks.
>
> This is bad, as I thought "via GitGitGadget" name will never be
> exposed to "git am" (in other words, GGG will always use the "From:"
> in-body header to protect the author identity).

It seems that I invented the patch text, inserted it into some cover
letter that was available nearby, and applied it, so GGG wasn't
involved in it at all (GGG does not give the in-body "From:" to
cover letters, so it is entirely my fault that I failed to notice
that the e-mail "From:" that points at GGG was used).